Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.parser
Interface uqlConstants

All Known Implementing Classes:
  uql, uqlTokenManager

    public interface uqlConstants

Field Summary
`static int` | `ALL`
`static int` | `AND`
`static int` | `AS`
`static int` | `ASC`
`static int` | `CLOSEPAREN`
`static int` | `COP`
`static int` | `DEFAULT`
`static int` | `DELIMITED_ID`
`static int` | `DIGIT`
`static int` | `DISTINCT`
`static int` | `DQSTRING`
`static int` | `DSC`
`static int` | `EOF`
`static int` | `EXPONENT`
`static int` | `EXTRACT`
`static int` | `FILTER`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FROM`
`static int` | `GROUPBY`
`static int` | `HAVING`
`static int` | `IDENTIFIER`
`static int` | `IN`
`static int` | `INTEGER_LITERAL`
`static int` | `LETTER`
`static int` | `LIKE`
`static int` | `MERGEOP`
`static int` | `NOT`
`static int` | `ON`
`static int` | `OPENPAREN`
`static int` | `OR`
`static int` | `ORDERBY`
`static int` | `SELECT`
`static int` | `STRING_LITERAL`
`static java.lang.String[]` | `tokenImage`
`static int` | `UNION`
`static int` | `WHERE`
`static int` | `XOR`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### SELECT

    static final int SELECT

See Also:
  Constant Field Values

### FROM

    static final int FROM

See Also:
  Constant Field Values

### WHERE

    static final int WHERE

See Also:
  Constant Field Values

### ORDERBY

    static final int ORDERBY

See Also:
  Constant Field Values

### GROUPBY

    static final int GROUPBY

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

### DISTINCT

    static final int DISTINCT

See Also:
  Constant Field Values

### UNION

    static final int UNION

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### XOR

    static final int XOR

See Also:
  Constant Field Values

### AS

    static final int AS

See Also:
  Constant Field Values

### ASC

    static final int ASC

See Also:
  Constant Field Values

### DSC

    static final int DSC

See Also:
  Constant Field Values

### HAVING

    static final int HAVING

See Also:
  Constant Field Values

### MERGEOP

    static final int MERGEOP

See Also:
  Constant Field Values

### ON

    static final int ON

See Also:
  Constant Field Values

### LIKE

    static final int LIKE

See Also:
  Constant Field Values

### EXTRACT

    static final int EXTRACT

See Also:
  Constant Field Values

### FILTER

    static final int FILTER

See Also:
  Constant Field Values

### OPENPAREN

    static final int OPENPAREN

See Also:
  Constant Field Values

### CLOSEPAREN

    static final int CLOSEPAREN

See Also:
  Constant Field Values

### COP

    static final int COP

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### DELIMITED_ID

    static final int DELIMITED_ID

See Also:
  Constant Field Values

### DQSTRING

    static final int DQSTRING

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD